org.apache.xmlbeans

## Interface SchemaTypeElementSequencer

-     public interface SchemaTypeElementSequencer

  This class is used to programatically validate the contents of an XML element.Call to both `next(javax.xml.namespace.QName)` and `peek(javax.xml.namespace.QName)` will return true if the element with the provided name is allowed at the current position in the element content, the difference being that `next(javax.xml.namespace.QName)` will advance the current position, while `peek(javax.xml.namespace.QName)` won't.
  See Also:
    `SchemaType.getElementSequencer()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `next(QName elementName)` Returns true if the element with the given name is valid at the current position.
    `boolean` | `peek(QName elementName)` Return true if the element with the given name is valid at the current position.

- - ### Method Detail

    - #### next

          boolean next(QName elementName)

      Returns true if the element with the given name is valid at the current position. Advances the current position.

    - #### peek

          boolean peek(QName elementName)

      Return true if the element with the given name is valid at the current position. Does not advance the current position.